
%define libkerfuffle_major 22
%define libkerfuffle %mklibname kerfuffle %{libkerfuffle_major}
%define ark_devel %mklibname ark -d

Name:       ark
Summary:    Program for managing various archive formats within the KDE environment
Version:    23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://www.kde.org/applications/utilities/ark/
Source0:    http://download.kde.org/stable/%{version}/src/%name-%version.tar.xz
Source1:	ark_addtoservicemenu.desktop
Source2:	org.kde.ark.desktop
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires:   zlib1-devel
BuildRequires:   lib64bzip2-devel
BuildRequires:   lib64archive-devel
BuildRequires:   lib64qjson-qt5-devel
BuildRequires:   lib64gmp-devel
  
BuildRequires: karchive-devel
BuildRequires: kconfig-devel
BuildRequires: kcrash-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: ki18n-devel
BuildRequires: kiconthemes-devel 
BuildRequires: khtml-devel
BuildRequires: kio-devel
BuildRequires: kservice-devel
BuildRequires: kpty-devel
BuildRequires: kwidgetsaddons-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl


Requires: bzip2
Requires: gzip
Requires: p7zip
Requires: unzip
Requires: zip


%description
Graphical file compression/decompression utility with support for multiple
formats

%files
%_kf5_sysconfdir
%_kf5_bindir
%_kf5_datadir
%_kf5_libdir
%exclude %_kf5_docdir/HTML

%package -n ark-handbook
Summary: Ark Handbook
BuildArch: noarch
Group: Documentation

%description -n ark-handbook
This package provides ark handbook.

%files -n ark-handbook
%docdir %_kf5_docdir
%_kf5_docdir/HTML
#------------------------------------------------------------------------------

%package -n %ark_devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name = %version-%release
Provides: ark-devel

%description -n %ark_devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %ark_devel

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%posttrans
%update_mime_database

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

